export function getMotivationalMessage(seconds) {
  if (seconds < 20 * 60) {
    return "🔁 Gerade aufgehört. Erste Entscheidung ✅ – bleib jetzt dran! 💪";
  } else if (seconds < 60 * 60) {
    return "🧠 Kopf kämpft mit – du führst! 🚶 Trink Wasser, bleib fokussiert. 🧊🫁";
  } else if (seconds < 2 * 60 * 60) {
    return "🏁 Stark gestartet! Dein Körper fährt runter – du übernimmst die Kontrolle. 🛑🧠";
  } else if (seconds < 3 * 60 * 60) {
    return "⏱️ Die Uhr läuft für dich. Jeder Moment = mehr Freiheit. 🔓🕊️";
  } else if (seconds < 6 * 60 * 60) {
    return "🩺 Kreislauf entspannt sich. Nikotinlevel sinkt. Du bleibst ruhig. 🧘‍♂️";
  } else if (seconds < 12 * 60 * 60) {
    return "🌙 Halber Tag. Deine Organe sagen: Danke! 🫁🧡";
  } else if (seconds < 24 * 60 * 60) {
    return "🌄 Fast ein Tag! Lunge startet Reboot. 🧼🫁 Mach weiter!";
  } else if (seconds < 2 * 24 * 60 * 60) {
    return "✅ Du bist drüber. Der schlimmste Entzug ist fast vorbei. 🎯";
  } else if (seconds < 3 * 24 * 60 * 60) {
    return "🧪 Nikotin = raus. Jetzt übernimmt dein Wille. 🧠⚡";
  } else if (seconds < 7 * 24 * 60 * 60) {
    return "🪴 Heilung beginnt. Körper und Kopf arbeiten zusammen. 🛠️🧠";
  } else if (seconds < 14 * 24 * 60 * 60) {
    return "👅 Du schmeckst wieder besser. Und das Leben sowieso. 😋🎉";
  } else if (seconds < 21 * 24 * 60 * 60) {
    return "🛡️ Stabiler geworden. Trigger? Du reagierst schon gelassener. 😎";
  } else if (seconds < 30 * 24 * 60 * 60) {
    return "📈 Durchhalte-Modus aktiviert. Du baust echte Stärke auf. 💪💥";
  } else {
    return "🏆 Ziel erreicht. 💨🚫 Ein ganzer Monat frei. Jetzt ist’s kein Versuch mehr – es ist dein neues Ich. 💫";
  }
}

export function getBreakMessage(seconds) {
  if (seconds < 5 * 60) {
    return "⚠️ Das war ein kurzer Ausrutscher. Du hast's sofort gemerkt – das zählt. Jetzt wieder auf Kurs!";
  } else if (seconds < 60 * 60) {
    return "🛑 Rückfall – aber du bist hier. Das zeigt: Du gibst nicht auf. Fang neu an – und lerne daraus.";
  } else if (seconds < 6 * 60 * 60) {
    return "🤕 Es war eine Pause. Keine Kapitulation. Deine Erfahrung macht dich stärker beim nächsten Mal.";
  } else if (seconds < 24 * 60 * 60) {
    return "🌫️ Ein Tag ist futsch – aber nicht deine Motivation. Rückfälle sind Teil des Weges. Mach weiter!";
  } else {
    return "🧭 Du hast schon einmal viel geschafft. Jetzt neu starten – aber mit noch mehr Wissen und Klarheit. ✨";
  }
}

